[arch-commits] Commit in python-spur/repos (2 files)

Felix Yan felixonmars at archlinux.org
Tue Nov 10 04:59:58 UTC 2020


    Date: Tuesday, November 10, 2020 @ 04:59:57
  Author: felixonmars
Revision: 749219

archrelease: copy trunk to community-staging-any

Added:
  python-spur/repos/community-staging-any/
  python-spur/repos/community-staging-any/PKGBUILD
    (from rev 749218, python-spur/trunk/PKGBUILD)

----------+
 PKGBUILD |   35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

Copied: python-spur/repos/community-staging-any/PKGBUILD (from rev 749218, python-spur/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2020-11-10 04:59:57 UTC (rev 749219)
@@ -0,0 +1,35 @@
+# Maintainer: Bruno Pagani <archange at archlinux.org>
+
+_pkg=spur
+pkgname=python-${_pkg}
+pkgver=0.3.22
+pkgrel=2
+pkgdesc="Run commands and manipulate files locally or over SSH using the same interface"
+arch=(any)
+url="https://github.com/mwilliamson/spur.py"
+license=(BSD)
+makedepends=(python-setuptools)
+depends=(python python-paramiko)
+checkdepends=(python-nose)
+# No tests in pypi tarballs
+#source=(https://files.pythonhosted.org/packages/source/${_pkg::1}/${_pkg}/${_pkg}-${pkgver}.tar.gz)
+source=(${url}/archive/${pkgver}/${pkgname}-${pkgver}.tar.gz)
+sha256sums=('9b4c16675d9eda3c98b56d8886a877d8d2d310530b9396e90209ecef41e06c72')
+
+build() {
+  cd ${_pkg}.py-${pkgver}
+  python setup.py build
+}
+
+check() {
+  cd ${_pkg}.py-${pkgver}
+  # https://github.com/mwilliamson/spur.py/issues/85
+  nosetests || echo "Tests failed"
+}
+
+package() {
+  cd ${_pkg}.py-${pkgver}
+  python setup.py install --prefix=/usr --root="${pkgdir}" --optimize=1 --skip-build
+  # Install license file
+  install -Dm644 LICENSE -t "${pkgdir}"/usr/share/licenses/${pkgname}/
+}



More information about the arch-commits mailing list